[package]
name = "bot-api-example"
version = "0.1.2"
edition = "2021"
license = "MIT"
authors = ["Vidrochka"]
description="Пример использования всех api из botx-api"
keywords = ["express", "botx", "botx-api", "botx-api-example", "botx-api-framework"]

[dependencies]
actix-web = { version = "4.3" }
actix-http = { version = "3.2" }
actix-files = { version = "0.6" }

tokio = { version = "1.25", features = ["rt", "macros"] }

dotenv = "0.15"

env_logger = "0.10"

anyhow = "1"

regex = "1"

log = "0.4"

anthill-di = { version = "1.2.4" }
anthill-di-derive = { version = "1.2.4" }

async-lock = "2.6"

async-trait-with-sync = "0.1"

botx-api-framework = { version = "0.1.6" }

serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"

uuid = { version = "1.1", features = ["v4", "serde"] }

chrono = { version = "0.4" }